Update Storage Size

Changes the storage capacity of the project.

PATCH /project/:id/storage/size

Path Parameters

ParameterTypeDescription
idstringProject ID (ObjectId)

Headers

HeaderRequiredDescription
x-api-keyYesProject API Key
x-organization-idYesActive project organization
Content-Type: application/jsonYesRequired when updating storage size

Body

FieldTypeRequiredDescription
sizenumberYesStorage size in GB (minimum 1, maximum 250)

Example

{
  "size": 20
}

Response

{
  "status": "success",
  "message": "storage size updated with success"
}

Get Storage Usage

Returns information about the current storage usage of the project.

GET /project/:id/storage/usage

Path Parameters

ParameterTypeDescription
idstringProject ID (ObjectId)

Response

{
  "status": "success",
  "message": "get volume usage with success",
  "data": {
    "used": "5Gi",
    "capacity": "10Gi",
    "replica_count": 1
  }
}

Examples

Update Storage Size

curl -X PATCH "https://api.zenifra.com/v1/project/507f1f77bcf86cd799439011/storage/size" \
  -H "x-api-key: your-api-key" \
  -H "x-organization-id: your-organization-id" \
  -H "Content-Type: application/json" \
  -d '{"size": 20}'

Get Storage Usage

curl -X GET "https://api.zenifra.com/v1/project/507f1f77bcf86cd799439011/storage/usage" \
  -H "x-api-key: your-api-key" \
  -H "x-organization-id: your-organization-id"

Python

import requests

API_KEY = "your-api-key"
ORGANIZATION_ID = "your-organization-id"
PROJECT_ID = "507f1f77bcf86cd799439011"

headers = {"x-api-key": API_KEY, "x-organization-id": ORGANIZATION_ID}

# Update storage size
requests.patch(
    f"https://api.zenifra.com/v1/project/{PROJECT_ID}/storage/size",
    headers=headers,
    json={"size": 20}
)

# Get storage usage
usage = requests.get(
    f"https://api.zenifra.com/v1/project/{PROJECT_ID}/storage/usage",
    headers=headers
).json()
print(usage)

Limits

  • Minimum: 1 GB
  • Maximum: 250 GB

Notes

  • For hourly payment models, storage can be increased at any time
  • Additional cost will be calculated proportionally
  • For monthly or yearly contracts, there may be restrictions on changes